> ## Documentation Index
> Fetch the complete documentation index at: https://developers.plane.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a work item comment

> Creates a new comment on a work item.

## Path parameters

<ParamField path="workspace_slug" type="string" required>
  The workspace\_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL `https://app.plane.so/my-team/projects/`, the workspace slug is `my-team`.
</ParamField>

<ParamField path="project_id" type="string" required>
  The unique identifier of the project.
</ParamField>

<ParamField path="work_item_id" type="string" required>
  The unique identifier for the work item.
</ParamField>

## Body parameters

<ParamField body="comment_html" type="string">
  HTML-formatted version of the comment.
</ParamField>

<ParamField body="comment_json" type="object">
  JSON representation of the comment structure.
</ParamField>

<ParamField body="access" type="string">
  Visibility level of the comment. Possible values: `INTERNAL`, `EXTERNAL`.
</ParamField>

<ParamField body="external_source" type="string">
  Identifier for the external source.
</ParamField>

<ParamField body="external_id" type="string">
  ID from the external source.
</ParamField>
